Inversion.h File Reference
`#include <ForceField/Contrib.h>`
`#include <boost/tuple/tuple.hpp>`
`#include <Geometry/point.h>`

Go to the source code of this file.

## Classes

class | ForceFields::UFF::InversionContrib
| The inversion term for the Universal Force Field. More...

## Namespaces

| ForceFields
| ForceFields::UFF
| ForceFields::UFF::Utils

## Functions

double | ForceFields::UFF::Utils::calculateCosY (const RDGeom::Point3D &iPoint, const RDGeom::Point3D &jPoint, const RDGeom::Point3D &kPoint, const RDGeom::Point3D &lPoint)
boost::tuple< double, double, double, double > | ForceFields::UFF::Utils::calcInversionCoefficientsAndForceConstant (int at2AtomicNum, bool isCBoundToO)
| calculates and returns the UFF force constant for an improper torsion More...